Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
Class FileSystemCompiler

    java.lang.Object
      org.codehaus.groovy.tools.FileSystemCompiler

    class FileSystemCompiler
    extends Object

Command-line compiler (aka. `groovyc`).

version:
  $Id: FileSystemCompiler.java 18415 2009-11-26 15:40:42Z roshandawrani $

Constructor Summary
`FileSystemCompiler(CompilerConfiguration configuration)`
`FileSystemCompiler(CompilerConfiguration configuration, CompilationUnit cu)`

Method Summary
`static int` | `checkFiles(String[] filenames)`
`static void` | `commandLineCompile(String[] args)` Same as main(args) except that exceptions are thrown out instead of causing the VM to exit.
`void` | `compile(String[] paths)`
`void` | `compile(File[] files)`
`static org.apache.commons.cli.Options` | `createCompilationOptions()`
`static File` | `createTempDir()`
`static void` | `deleteRecursive(File file)`
`static void` | `displayHelp(org.apache.commons.cli.Options options)`
`static void` | `displayVersion()`
`static void` | `doCompilation(CompilerConfiguration configuration, CompilationUnit unit, String[] filenames)`
`static CompilerConfiguration` | `generateCompilerConfigurationFromOptions(org.apache.commons.cli.CommandLine cli)`
`static String[]` | `generateFileNamesFromOptions(org.apache.commons.cli.CommandLine cli)`
`static void` | `main(String[] args)` Primary entry point for compiling from the command line (using the groovyc script).
`static boolean` | `validateFiles(String[] filenames)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### FileSystemCompiler

    public FileSystemCompiler(CompilerConfiguration configuration)

### FileSystemCompiler

    public FileSystemCompiler(CompilerConfiguration configuration, CompilationUnit cu)

Method Detail

### checkFiles

    public static int checkFiles(String[] filenames)

### commandLineCompile

    public static void commandLineCompile(String[] args)

  Same as main(args) except that exceptions are thrown out instead of causing the VM to exit.

### compile

    public void compile(String[] paths)

### compile

    public void compile(File[] files)

### createCompilationOptions

    @SuppressWarnings({"AccessStaticViaInstance"})
    public static org.apache.commons.cli.Options createCompilationOptions()

### createTempDir

    public static File createTempDir()

### deleteRecursive

    public static void deleteRecursive(File file)

### displayHelp

    public static void displayHelp(org.apache.commons.cli.Options options)

### displayVersion

    public static void displayVersion()

### doCompilation

    public static void doCompilation(CompilerConfiguration configuration, CompilationUnit unit, String[] filenames)

### generateCompilerConfigurationFromOptions

    public static CompilerConfiguration generateCompilerConfigurationFromOptions(org.apache.commons.cli.CommandLine cli)

### generateFileNamesFromOptions

    public static String[] generateFileNamesFromOptions(org.apache.commons.cli.CommandLine cli)

### main

    public static void main(String[] args)

  Primary entry point for compiling from the command line (using the groovyc script). If calling inside a process and you don't want the JVM to exit on an error call commandLineCompile(String[]), which this method simply wraps

### validateFiles

    public static boolean validateFiles(String[] filenames)

Copyright © 2003-2009 The Codehaus. All rights reserved.